<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ozs.kpim.mapper.common.CommonMapper">

	<!--配置类型列表查询-->
	<select id="listTypes" resultType="com.ozs.kpim.dto.common.TypeDTO">
	    SELECT  id,name FROM  kpim_dim_type
	</select>

	<!--符号列表查询-->
	<select id="listSigns" resultType="com.ozs.kpim.dto.common.SignDTO">
	    SELECT  id,sign FROM  kpim_dim_sign
	</select>

	<!--规则类型查询-->
	<select id="listRuleTypes" resultType="com.ozs.kpim.dto.common.RuleTypeDTO">
		SELECT
			id,type,format,type_desc
		FROM  kpim_dim_rule_type
		WHERE kpi_type = #{kpiType}
	</select>

	<!--查询普通管理员列表-->
	<select id="listAdministrativeUsers" resultType="com.ozs.kpim.dto.common.UserDTO">
		SELECT id,username,nickname,user_type FROM dc_info_user
		WHERE user_type = #{userType}
	</select>



</mapper>